ban7.jpg

Comment mettre à jour son vieux site joomla 3.7 sur un hébergement mutualisé OVH du PHP5.x en PHP7.X.
Ou comment remettre les mains dans le cambouis de cette bestiole sans trop se salir, surtout quand on sait où se trouve le bogue.

 NOTE: LE PHP7.1 D'OVH EST INCOMPATIBLE AVEC LA VERSION 3.7.0 de JOOMLA !

Il faut rester en 7.0 en attendant que le bogue soit trouvé ! (mais ça vaut mieux que de rester en php5.6 !)

Voilà, vous savez pourquoi ça bogue !

Bon, voici le listing des trucs à faire pour passer votre joomla 3.X sous php 7.0:

1- mettre à jour son site joomla et vérifiez qu'il est bien en version 3.7
2- mettre à jour tous les plugins et extensions

3- désactiver par précaution tous les plugins et extensions sans mise à jour récente (et consulter si ses plugins/extensions sont bien compatible avec le php7.

au moindre doute, on désactive !
4- on lance une sauvegarde générale et complête du site ! (ex: avec  le plugin Akeeba !)
5- on va sur le manager OVH
6- Cliquez sur hébergement, et sur votre "domaine.com" ou "domaine.fr" d'où vous voulez passer le PHP5.X en PHP7.X
7-cliquez sur modifiez à la ligne "Version PHP globale5.6" et sélectionnez la version "7.0"
8- normalement votre site est tout planté !

Vous obtenez une belle erreur:


"
Method Not Implemented

GET to /in/ not supported."



Il faudra ensuite prendre Filezilla et modifier
.OVHconfig
( et mettre 7.0 en PHP à la place de 5.x)
Le contenu du fichier .ovhconfig devrait être:


app.engine=php
app.engine.version=7.0
http.firewall=none
environment=production
container.image=legacy




Et bidouiller le fichier .htaccess et faire la même chose....

Si vous obtenez une erreur 500 ou 501:
ça vient du fichier .htaccess.

Essayez de le renommez .htaccessBAK
(ce qui le désactivera, sans supprimer ce fichier et le garder sous le coude plus tard pour l'examiner)
Si votre site remarche, c'est que c'était lui qui plantait le site....

Par contre, il faudra réécrire un nouveau .htaccess de toute urgence pour sécuriser votre site !



Vérification effective du changement dans Joomla:
Cliquez sur "Système" puis "Système information" puis onglet "informations PHP" dans joomla": un message comme quoi vous utilisez bien php7.0.X doit s'afficher !


Saloperie de PHP7.1 va !

Bonne journée à vous tous et toutes !

Gildas Ribot.